Update Orgs.sddcs.networks.logical

Update Orgs.sddcs.networks.logical

Modify a network in an SDDC.

Request
URI
PUT
https://vmc.vmware.com/vmc/api/orgs/{org}/sddcs/{sddc}/networks/4.0/sddc/networks/{networkId}
COPY
Path Parameters
string
org
Required

Organization identifier.

string
sddc
Required

Sddc Identifier.

string
networkId
Required

Logical Network Identifier


Request Body
sddcNetwork of type(s) application/json
Optional

Show optional properties

{
    "name": "string",
    "cgwId": "string"
}
{
    "subnets": {
        "addressGroups": [
            {
                "prefixLength": "string",
                "primaryAddress": "string"
            }
        ]
    },
    "cgwName": "string",
    "name": "string",
    "l2Extension": {
        "tunnelId": 0
    },
    "cgwId": "string",
    "dhcpConfigs": {
        "ipPools": [
            {
                "ipRange": "string",
                "domainName": "string"
            }
        ]
    },
    "id": "string"
}
subnets
Optional

Logical network address groups.

string
cgwName
Optional

Name of the compute gateway to which the logical network is attached.

string
name
Required

Name of logical network. Length needs to be between 1-35 characters.

l2Extension
Optional

Layer 2 extension.

string
cgwId
Required

ID of the compute gateway edge to which the logical network is attached.

dhcpConfigs
Optional

DHCP configuration for the logical network.

string
id
Optional

ID of logical network.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

400

Bad request. Request object passed is invalid.

Operation doesn't return any data structure

403

Forbidden. Authorization header not provided.

Operation doesn't return any data structure

404

Not found. Requested object not found.

Operation doesn't return any data structure